{
  "name": "template",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite dev --port 3000",
    "start": "node .output/server/index.mjs",
    "build": "vite build",
    "serve": "vite preview",
    "format": "biome format",
    "lint": "biome lint",
    "check": "biome check"
  },
  "dependencies": {
    "@heroui/react": "^2.8.5",
    "@supabase/ssr": "^0.7.0",
    "@supabase/supabase-js": "^2.81.1",
    "@tailwindcss/vite": "^4.1.17",
    "@tanstack/react-query": "^5.90.8",
    "@tanstack/react-query-devtools": "^5.90.2",
    "@tanstack/react-router": "^1.135.2",
    "@tanstack/react-router-devtools": "^1.135.2",
    "@tanstack/react-router-with-query": "^1.130.17",
    "@tanstack/react-start": "^1.135.2",
    "@tanstack/router-plugin": "^1.135.2",
    "@vis.gl/react-google-maps": "^1.7.1",
    "drizzle-orm": "^0.44.7",
    "framer-motion": "^12.23.12",
    "postgres": "^3.4.7",
    "react": "^19.2.0",
    "react-dom": "^19.2.0",
    "sonner": "^2.0.7",
    "zod": "^4.1.12"
  },
  "devDependencies": {
    "@biomejs/biome": "^2.3.5",
    "vite-tsconfig-paths": "^5.1.4",
    "@tanstack/react-router-ssr-query": "^1.135.2",
    "tailwindcss": "^4.1.17",
    "@types/google.maps": "^3.58.1",
    "@types/react": "^19.2.4",
    "@types/react-dom": "^19.2.3",
    "@vitejs/plugin-react": "^5.1.1",
    "drizzle-kit": "^0.31.6",
    "jsdom": "^27.2.0",
    "typescript": "^5.9.3",
    "vite": "^7.2.2",
    "web-vitals": "^5.1.0"
  }
}
